def create_docker_compose(folder_list, configs):
    with open(f'./docker-compose.yaml', "w+") as writer:
        writer.write('version: "3.9"\n')
        writer.write('services:\n')
        for folder in folder_list:
            folder_config = list(filter(lambda item: item["name"] == folder, configs))[0]
            writer.write(f'  {folder}:\n')
            writer.write(f'    image: jaytrairat/{folder}:dev\n')
            writer.write(f'    ports:\n')
            writer.write(f'      - \"{folder_config["port"]}\"\n')
            writer.write(f'    deploy:\n')
            writer.write(f'      resources:\n')
            writer.write(f'        limits:\n')
            writer.write(f'          memory: "32M"\n')
            writer.write(f'        reservations:\n')
            writer.write(f'          memory: "32M"\n')
