import os
import shutil


def create_run_script(folder_list, configs):
    for folder in folder_list:
        folder_config = list(filter(lambda item: item["name"] == folder, configs))[0]
        if os.path.exists(f'../{folder}/_docker'): shutil.rmtree(f'../{folder}/_docker')
        if os.path.exists(f'../{folder}/nginx'): shutil.rmtree(f'../{folder}/nginx')

        shutil.copy('./docker/Dockerfile', f'../{folder}')
        shutil.copy('./docker/.dockerignore', f'../{folder}')
        shutil.copytree('./scripts', f'../{folder}/_docker')
        shutil.copytree('./nginx', f'../{folder}/nginx')
        shutil.copytree('./pem', f'../{folder}/_docker/pem')
        shutil.copy('./.env.production', f'../{folder}')

        with open(f'../{folder}/_docker/push.sh', "w+") as writer:
            writer.write('docker buildx create --name armbuilder\n')
            writer.write('docker buildx use armbuilder\n')
            writer.write(f'docker buildx build --platform linux/amd64 -t jaytrairat/{folder}:dev . --push\n')

        with open(f'../{folder}/_docker/{folder}.sh', "w+") as writer:
            writer.write('docker rmi $(docker images -f "dangling=true" -q)\n')
            writer.write(f"docker stop $(docker ps -a | grep {folder} | awk '{{print $1}}')\n")
            writer.write(f"docker rm $(docker ps -a | grep {folder} | awk '{{print $1}}')\n")
            writer.write(f'docker pull jaytrairat/{folder}:dev\n')
            writer.write(f'docker run -dp {folder_config["port"]} jaytrairat/{folder}:dev\n')
            writer.write('read -p "Press any key to continue"')

        with open(f'../{folder}/_docker/upload.sh', "w+") as writer:
            writer.write(f"scp -i './_docker/pem/zenalyse_seeset.pem' './_docker/{folder}.sh' ubuntu@ec2-54-179-47-137.ap-southeast-1.compute.amazonaws.com:/home/ubuntu/\n")
            writer.write("ssh -i './_docker/pem/zenalyse_seeset.pem' ubuntu@ec2-54-179-47-137.ap-southeast-1.compute.amazonaws.com\n")
